Subject: bug#50851: 28.0.50; flyspell-mode overrides context-menu-mode

From: Philip Kaludercic <[email-masked]>
Date: Fri, 02 Sep 2022 12:44:22 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
>>> I'm not sure whether that's how the context menu was envisioned -- I
>>> thought it was to be, well, context aware, so it'd change based on
>>> what's under point.
>>
>> Isn't the context in this case a (possible) typo?
>
> Yes...  and it pops up a menu to fix that, doesn't it?

Yes, but this is not the context menu that is active everywhere else.  I
believe that what I am expecting is intuitive, as browsers behave the
same way.  If you have a text field and right-click on any regular word,
you get the "undo", "cut", "paste", etc. options.  But if you
right-click on a typo you get spell checking suggestion _in addition_ to
the previous options.